DCSQEXTR(1)

NAME
dcsqextr - ACR/NEMA DICOM PS3 ... DICOM PS3 - Extract Papyrus images

SYNOPSIS

dcsqextr [ -v|verbose ]

DESCRIPTION

dcsqextr reads the named dicom or acr-nema input file, assumes that a series of images are contained in a sequence as in a Papyrus version 3 file, and extracts each of them into a separate file.

The input encoding of the file will be automatically determined, or can be explicitly specified in pathological cases using the input options described in dcintro(1).

The encoding of the output files will be changed to the default or explicitly requested transfer syntax, as described in dcintro(1) under output options.

During the extraction, the usual replace and delete operations specified in dcintro(1) are suppressed.

OPTIONS
The verbose output goes to standard error. The specified output file name is used as a prefix, and the SOP Instance UID and image sequence number (not the value of the Image Number attribute) are appended to make a filename for each extracted image.

The basic input switches are described in dcintro(1). Options specific to this program are:

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading, once read, during replacement, and before writing.

ENVIRONMENT

EXAMPLES

% dcsqextr MR2images.pap3 -of MR2images
% ls -1 MR2images.*
MR2images.pap3
MR2images.64.572.218.916.0
MR2images.64.572.218.916.1

FILES

SEE ALSO
dccp(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS